# Generated from io_splice-4.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name io_splice

Name: rubygem-%{gem_name}
Version: 4.4.2
Release: 1%{?dist}
Summary: zero-copy pipe I/O for Linux and Ruby (deprecated)
License: LGPL
URL: https://yhbt.net/ruby_io_splice/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby-devel
# Compiler is required for build of gem binary extension.
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires: gcc

%description
The splice family of Linux system calls can transfer data between file
descriptors without the need to copy data into userspace.  Instead of a
userspace buffer, they rely on an ordinary Unix pipe as a kernel-level
buffer.  The `splice' and `tee' syscalls are also provided by the
{sleepy_penguin}[https://yhbt.net/sleepy_penguin/] library.
"io_splice" remains maintained for old applications or users
experimenting with the vmsplice syscalls.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Prevent dangling symlink in -debuginfo (rhbz#878863).
rm -rf %{buildroot}%{gem_instdir}/ext/


%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.manifest
%license %{gem_instdir}/COPYING
%{gem_instdir}/GIT-VERSION-FILE
%{gem_instdir}/GIT-VERSION-GEN
%{gem_instdir}/GNUmakefile
%{gem_instdir}/LATEST
%license %{gem_instdir}/LICENSE
%{gem_instdir}/archive
%{gem_libdir}
%{gem_instdir}/local.mk.sample
%{gem_instdir}/pkg.mk
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%doc %{gem_instdir}/.olddoc.yml
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/examples
%{gem_instdir}/io_splice.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 4.4.2-1
- Initial package
